Method: projects.locations.instances.mpc.keyRings.keys.proposals.get

Gets details of a single Proposal.

HTTP request

GET https://mpc.googleapis.com/v1alpha1/{name=projects/*/locations/*/instances/*/mpc/keyRings/*/keys/*/proposals/*}

The URL uses gRPC Transcoding syntax.

Path parameters

Parameters
name

string

Required. The unique resource name of the Proposal to retrieve. Format: projects/{project}/locations/{location}/instances/{instance}/mpc/keyRings/{keyRing}/keys/{key}/proposals/{proposal} It takes the form projects/{project}/locations/{location}/instances/{instance}/mpc/keyRings/{keyring}/keys/{key}/proposals/{proposal}.

Request body

The request body must be empty.

Response body

If successful, the response body contains an instance of Proposal.

Authorization scopes

Requires the following OAuth scope:

  • https://www.googleapis.com/auth/cloud-platform

For more information, see the Authentication Overview.